/*
 * 
 * Copyright
 *  2009 axYus - www.axyus.com
 *  2009 Christophe Marchand <christophe.marchand@axyus.com>
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

package fr.gouv.finances.cp.xemelios.patches;

import fr.gouv.finances.cp.xemelios.updater.AbstractConfigurator;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.Properties;

/**
 *
 * @author Christophe Marchand <christophe.marchand@axyus.com>
 */
public class Core4_0_0_17 extends AbstractConfigurator {

    public Core4_0_0_17() {
        super();
    }

    @Override
    public void run() throws Exception {
        File f = new File(props.replace("${xemelios.mysql.config.filename}"));
        Properties p = new Properties();
        p.load(new FileInputStream(f));
        String url = p.getProperty("database.url");
        if(url.indexOf("?")<0) {
            url = url.concat("?jdbcCompliantTruncation=false&dumpQueriesOnException=true");
            p.put("database.url",url);
            p.store(new FileOutputStream(f), "");
        }
        setPreviousConfigurator(new Core4000());
    }

}
